Update LibreOffice 4.4 in Linux Mint 17.2

28 Oct

You might have noticed that LibreOffice on Linux Mint 17.2 Rafaela is blocked at version 4.4.3, with no updates being suggested even though 4.4.6 is already out, with hundreds of bug fixes between the two versions (243 to be precise). To update it to the most recent bugfix version, just adding a PPA (like in previous versions, or in Ubuntu) does not help. That is because that particular LibreOffice version is “pinned”.

You can change that by creating a new preference file before adding the PPA.

In a terminal, type the following to create the new file:

gksu gedit /etc/apt/preferences.d/libreoffice-libreoffice-4-4.pref

In this file, copy-paste the following and save:

Package: *
Pin: release o=LP-PPA-libreoffice-libreoffice-4-4
Pin-Priority: 701

You can now add the relevant stable PPA by using the following command in a terminal:

sudo add-apt-repository ppa:libreoffice/libreoffice-4-4

You can now update and upgrade your packages. You can do that through your Update Manager, but make sure you have the relevant level of updates activated (probably level 2) so the updates are visible (in “Edit > Preferences > Levels”).

[This was tested on Linux Mint 17.2 Cinnamon 64-bit, from LO 4.4.3.2 to 4.4.6.2; the commands are for the most part a rip-off from this WEB UPD8 article.]

Advertisements

5 Responses to “Update LibreOffice 4.4 in Linux Mint 17.2”

  1. Douglas E. Roberts, Author 2015-11-10 at 01:49 #

    Thanks! Just now updated it.

  2. Simon 2016-01-20 at 11:19 #

    Thanks for this! I was so glad to get to the bottom of why libreoffice was not updating.

    I have now updated mint to 17.3 and libreoffice seems to be stuck again at 5.0.3, even though 5.0.4 has come out. Is this the same problem as before and if so do I need to do something similar to release the pin?

    Thanks a lot
    Simon

    • chtfn 2016-01-20 at 12:16 #

      I don’t have a box to test it, but it is very likely it is the same issue. Try following the exact same steps, replacing “4-4” with “5-0” in each one, and see if that helps.
      Cheers!

Trackbacks/Pingbacks

  1. LibreOffice 5.1 become “still”, time to upgrade | goFLOSS! - 2016-06-28

    […] version might be “pinned” and you will need to do a bit more to upgrade. See this post for […]

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: